Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.contains
Class WidgetWrapperPool

    java.lang.Object
      edu.stanford.smi.protegex.widget.contains.WidgetWrapperPool

    public class WidgetWrapperPool

extends Object

Description of the Class

Author:
  William Grosso

Constructor Summary
`WidgetWrapperPool(Project project, KnowledgeBase kb, Cls cls, int maxSize, int numberToAllocateInAdvance, Class formDescriptionClass)`

Method Summary
`void` | `dispose()`
`static WidgetWrapperPool` | `getPoolForClass(Cls cls, Class formDescriptionClass, int maxSize, int numberToAllocateInAdvance)`
`WidgetWrapper` | `getWidgetWrapperForInstance(Instance instance)`
`void` | `returnWidgetWrapper(WidgetWrapper widgetWrapperToReturn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetWrapperPool

    public WidgetWrapperPool(Project project,
                             KnowledgeBase kb,
                             Cls cls,
                             int maxSize,
                             int numberToAllocateInAdvance,
                             Class formDescriptionClass)

Method Detail

### dispose

    public void dispose()

### getPoolForClass

    public static WidgetWrapperPool getPoolForClass(Cls cls,
                                                    Class formDescriptionClass,
                                                    int maxSize,
                                                    int numberToAllocateInAdvance)

### getWidgetWrapperForInstance

    public WidgetWrapper getWidgetWrapperForInstance(Instance instance)

### returnWidgetWrapper

    public void returnWidgetWrapper(WidgetWrapper widgetWrapperToReturn)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request